classification
Title: configure links unnecessary library libdl
Type: Stage:
Components: Installation Versions: Python 2.4
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: gschwarz, loewis, skip.montanaro
Priority: normal Keywords:

Created on 2004-01-14 21:08 by gschwarz, last changed 2007-08-29 05:24 by loewis. This issue is now closed.

Messages (5)
msg19690 - (view) Author: Georg Schwarz (gschwarz) Date: 2004-01-14 21:08
Python's configure adds -ldl to LIBS on irix5. This is not needed, and it produces compiler warnings that this lib did not resolve any symbols and can be removed. Possibly it's adding an unnecessary dependence on that lib.
If I understand the configure script correctly it checks whether the following code is compiled and linked correctly with -ldl:

char dlopen();

int main() {
dlopen()
; return 0; }

Now this code compiles and links on IRIX 5.3 without any specific library. With -ldl you get a warning

lorenz 12% cc x.c 
lorenz 13% cc x.c -ldl
ld:
The shared object /usr/lib/libdl.so did not resolve any symbols.
        You may want to remove it from your link line.
lorenz 14% cat x.c
char dlopen();

int main() {
dlopen()
; return 0; }
lorenz 15% 

probably the configure script should check for any output to stderr when doing the compiling/linking attempt with the sample code.
msg19691 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2004-01-17 23:58
Logged In: YES 
user_id=21627

Would you like to contribute a patch for that? configure
should check whether -ldl is needed to find dlopen.
msg19692 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2004-01-18 00:41
Logged In: YES 
user_id=21627

Georg Schwarz indicated in private mail that he is not able
to implement that change.
msg55409 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2007-08-29 02:00
Martin, can I close this?
msg55414 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-08-29 05:24
Yes, nobody seems to be interested in fixing it.
History
Date User Action Args
2007-08-29 05:24:55loewissetmessages: + msg55414
2007-08-29 02:00:03skip.montanarosetstatus: open -> closed
nosy: + skip.montanaro
resolution: wont fix
messages: + msg55409
2004-01-14 21:08:04gschwarzcreate